Bug 1533176 - Recent gdbm update seems to break python
Summary: Recent gdbm update seems to break python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdbm
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1534549
TreeView+ depends on / blocked
 
Reported: 2018-01-10 16:17 UTC by Barak Korren
Modified: 2018-01-18 21:30 UTC (History)
4 users (show)

Fixed In Version: gdbm-1.13-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1534549 (view as bug list)
Environment:
Last Closed: 2018-01-18 21:30:57 UTC


Attachments (Terms of Use)

Description Barak Korren 2018-01-10 16:17:23 UTC
Description of problem:
- recent gdbm update to 1.14 seems to be incompatible with the current build of python in fedora

Version-Release number of selected component (if applicable):
this applies both to python2 and python3 

How reproducible:

# rpm -q gdbm python3 python2
gdbm-1.14-1.fc27.x86_64
python3-3.6.2-13.fc27.x86_64
python2-2.7.14-4.fc27.x86_64

# python2 -c 'import gdbm'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: /usr/lib64/python2.7/lib-dynload/gdbmmodule.so: undefined symbol: gdbm_errno

# python3 -c 'import dbm.gnu'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python3.6/dbm/gnu.py", line 3, in <module>
    from _gdbm import *
ImportError: /usr/lib64/python3.6/lib-dynload/_gdbm.cpython-36m-x86_64-linux-gnu.so: undefined symbol: gdbm_errno

Comment 1 Fedora Update System 2018-01-15 13:19:24 UTC
gdbm-1.13-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 2 Fedora Update System 2018-01-15 18:35:19 UTC
gdbm-1.13-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 3 Fedora Update System 2018-01-16 13:02:38 UTC
gdbm-1.13-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 4 Kamil Dudka 2018-01-16 17:17:35 UTC
Same issue in zsh:

% zmodload zsh/db/gdbm
zsh: failed to load module `zsh/db/gdbm': /usr/lib64/zsh/5.4.2/zsh/db/gdbm.so: undefined symbol: gdbm_errno

I will rebuild zsh to fix this...

Comment 5 Fedora Update System 2018-01-17 06:46:34 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 6 Fedora Update System 2018-01-18 21:30:57 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.